module SimplePayment
  module Braintree
    class Response
      def initialize(result)
        @result = result
      end

      def serialize
        @result.to_yaml
      end

      def success?
        @result.success?
      end

      def external_id
        @result.transaction.id
      end
    end
  end
end
