module SimplePayment
  module Test
    class Gateway
      def new_token
        SecureRandom.hex(10)
      end

      def execute(payment, nonce)
        [
          Request.new,
          Response.new
        ]
      end

      def completed?(payment)
        true
      end

      def cancel(payment)
        [
          Request.new,
          Response.new
        ]
      end

      def refund(payment)
        [
          Request.new,
          Response.new
        ]
      end

      def calculate_fee(payment)
        1.23
      end
    end
  end
end
